<?php
function sso_options() {
	$url='<strong>'.get_site_url().'/sso/'.'</strong>';
	
	$sso_options[] = array(  "name" => "Settings",
            "type" => "heading",
			"desc" => "");
	
	$sso_options[] = array(	"name" => "API key",
			"desc" => "The API key links together your different systems. You can obtain a free API key <a href=\"http://www.zingiri.com/plugins-and-addons/single-sign-on\" target=\"_blank\">here</a>.",
			"id" => "sso_key",
			"type" => "text");

	$sso_options[] = array(	"name" => "SSO server URL",
			"desc" => "The URL to the SSO server. If you're hosting the hosted version, then this should be <code>http://sso.clientcentral.info</code>. If you want to use your own SSO server, you can purchase the software <a href=\"http://www.zingiri.com/plugins-and-addons/single-sign-on\" target=\"_blank\">here</a>.",
			"id" => "sso_url",
			"std" => "http://sso.clientcentral.info",
			"type" => "text");
	
	$sso_options[]=array(  "name" => "Before you install!",
            "type" => "heading",
			"desc" => 'Single-sign-on uses web services stored on Zingiri\'s servers. In doing so, customer data is collected and stored on our servers. 
					This data includes email, first name, last name and is used only to provide the SSO service.
					We have a very strict <a href="http://www.zingiri.com/privacy-policy/" target="_blank">privacy policy</a> as well as <a href="http://www.zingiri.com/terms/" target="_blank">terms & conditions</a> governing data stored on our servers.
					<div style="font-weight:bold;display:inline">By installing this plugin you accept these terms & conditions.</div>');
		
	return $sso_options;
}

function sso_add_admin() {
	$sso_options=sso_options();

	if (isset($_GET['page']) && ($_GET['page'] == "sso-cp")) {
		
		if ( isset($_REQUEST['action']) && 'install' == $_REQUEST['action'] ) {
			delete_option('sso_log');

			foreach ($sso_options as $value) {
				if( isset( $_REQUEST[ $value['id'] ] ) ) {
					update_option( $value['id'], $_REQUEST[ $value['id'] ]  );
				}
			}
			header("Location: options-general.php?page=sso-cp&installed=true");
			die;
		}
	}

	add_options_page('Single Sign On', 'Single Sign On', 'administrator', 'sso-cp','sso_admin');
}

function sso_admin() {
	$controlpanelOptions=sso_options();

	if ( isset($_REQUEST['installed']) ) echo '<div id="message" class="updated fade"><p><strong>'.'Single Sign On'.' installed.</strong></p></div>';
	if ( isset($_REQUEST['error']) ) echo '<div id="message" class="updated fade"><p>The following error occured: <strong>'.$_REQUEST['error'].'</strong></p></div>';
	
	?>
<div class="wrap">
<div id="cc-left" style="position:relative;float:left;width:80%">
<h2><b>Single Sign On</b></h2>

	<?php
	$sso_version=get_option("sso_version");
	$submit='Update';
	?>
<form method="post">

<?php require(dirname(__FILE__).'/includes/cpedit.inc.php')?>

<p class="submit"><input name="install" type="submit" value="<?php echo $submit;?>" /> <input
	type="hidden" name="action" value="install"
/></p>
</form>
<hr />
<?php  
	if (get_option('sso_debug')) {
		echo '<h2 style="color: green;">Debug log</h2>';
		echo '<textarea rows=10 cols=80>';
		$r=get_option('sso_log');
		if ($r) {
			$v=$r;
			foreach ($v as $m) {
				echo date('H:i:s',$m[0]).' '.$m[1].chr(13).chr(10);
				echo $m[2].chr(13).chr(10);
			}
		}
		echo '</textarea><hr />';
	}
?>

</div> <!-- end cc-left -->
<?php
	//require(dirname(__FILE__).'/includes/support-us.inc.php');
	//zing_support_us('sso','sso','sso',FILEPRESS_VERSION);
}
add_action('admin_menu', 'sso_add_admin'); ?>